For the complete documentation index, see llms.txt. This page is also available as Markdown.

Snapshots

Get list of snapshots.

get
Query parameters
ClusterstringOptional
Responses
200

OK

get/api/v1/servers/snapshots/GetSnapshots
GET /api/v1/servers/snapshots/GetSnapshots HTTP/1.1
Accept: */*
{
  "items": [
    {
      "id": "text",
      "namespace": "text",
      "sourceName": "text",
      "osImage": "text",
      "customPackage": "text",
      "rootDiskSize": "text",
      "creationDate": "2026-01-01T00:00:00.000Z",
      "username": "text",
      "tenancyName": "text",
      "readyToUse": true
    }
  ]
}

Get detailed information on specific snapshot.

get
Query parameters
IdstringRequired

Name of snapshot

NamespacestringRequired

The namespace/vpc.

ClusterstringRequired

The cluster you're operating on

Responses
200

OK

idstring · nullableOptional
namespacestring · nullableOptional
sourceNamestring · nullableOptional
osImagestring · nullableOptional
customPackagestring · nullableOptional
rootDiskSizestring · nullableOptional
creationDatestring · date-timeOptional
usernamestring · nullableOptional
tenancyNamestring · nullableOptional
readyToUsebooleanOptional
get/api/v1/servers/snapshots/GetSnapshot
GET /api/v1/servers/snapshots/GetSnapshot?Id=text&Namespace=text&Cluster=text HTTP/1.1
Accept: */*
{
  "id": "text",
  "namespace": "text",
  "sourceName": "text",
  "osImage": "text",
  "customPackage": "text",
  "rootDiskSize": "text",
  "creationDate": "2026-01-01T00:00:00.000Z",
  "username": "text",
  "tenancyName": "text",
  "readyToUse": true
}

Create a new snapshot from an existing virtual machine.

post
Body
namestring · nullableOptional
namespacestring · min: 1Required
clusterstring · min: 1Required
sourceVMNamestring · nullableOptional
Responses
202

Accepted

idstring · nullableOptional
namespacestring · nullableOptional
sourceNamestring · nullableOptional
osImagestring · nullableOptional
customPackagestring · nullableOptional
rootDiskSizestring · nullableOptional
creationDatestring · date-timeOptional
usernamestring · nullableOptional
tenancyNamestring · nullableOptional
readyToUsebooleanOptional
post/api/v1/servers/snapshots/CreateSnapshot
POST /api/v1/servers/snapshots/CreateSnapshot HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "name": "text",
  "namespace": "text",
  "cluster": "text",
  "sourceVMName": "text"
}
{
  "id": "text",
  "namespace": "text",
  "sourceName": "text",
  "osImage": "text",
  "customPackage": "text",
  "rootDiskSize": "text",
  "creationDate": "2026-01-01T00:00:00.000Z",
  "username": "text",
  "tenancyName": "text",
  "readyToUse": true
}

Delete snapshot.

delete
Query parameters
IdstringRequired

Name of snapshot

NamespacestringRequired

The namespace/vpc.

ClusterstringRequired

The cluster you're operating on

Responses
202

Accepted

idstring · nullableOptional
delete/api/v1/servers/snapshots/DeleteSnapshot
DELETE /api/v1/servers/snapshots/DeleteSnapshot?Id=text&Namespace=text&Cluster=text HTTP/1.1
Accept: */*
{
  "id": "text"
}

Last updated